Subject: RE: Calendar Store Data Model for CAP

From: Anita Kulkarni-Puranik <[email-masked]>
Date: Sun, 6 Dec 1998 14:54:59 +0530

I am visiting the ICAL documents after a while, and I agree with Mark, it 
will help there is some effort to make the spec more readable. iCalebndar, 
iTIP, CAP, ICMS  ... theer are too many cross references, and even as the 
spec is becoming more elaborate, it becomes a bit tedious to keep track of 
all changes.

Anita

On Tuesday, November 24, 1998 7:39 AM, Mark D. Anderson 
[SMTP:[email-masked]] wrote:
| >>FYI, another rhetorical aid i found myself wanting while reading the
| calendar documents was a table
| >>of property-by-component, since most of the components are basically
| collections of
| >>property values, and and there is a many-to-many mapping between 
properties
| and components.
|
| >Hmm. Isn't this provided by the iTIP messages?
|
| It is in ical-main (section 4.6), but spread out.
|
| it is in itip, but also spread out, and it isn't obvious to
| me that itip is the place for definitive component definitions
| anyway. not that i understand itip anyway (as per separate thread).
|
| >Or did you want a table that
| >had properties on the Y-axis and components on the X-axis?
|
| yup, that's the ticket. i don't think it makes the spec any more
| precise, but it helps in understanding the object model.
| at least for me. it might also be helpful in expressing the consequences
| of future additions to properties/components.
|
| -mda
|
|